# ~/.config/iamb/config.toml

[profiles.user]
user_id = "@s0wlz:ofsg.eu"
url = "https://matrix.ofsg.eu" # only if .well-known is missing

[settings]
default_profile = "user"
username_display = "displayname"
message_user_color = true
typing_notice_send = false
typing_notice_display = true
reaction_display = true
read_receipt_send = false
read_receipt_display = true

[settings.image_preview]
protocol.type = "kitty"

[settings.notifications]
enabled = true
show_message = true
via = "desktop"

[settings.sort]
rooms   = ["favorite", "unread", "recent", "name"]
chats   = ["favorite", "unread", "recent", "name"]
dms     = ["favorite", "unread", "recent", "name"]
spaces  = ["favorite", "unread", "recent", "name"]
members = ["power", "id"]

[settings.users]
"@s0wlz:ofsg.eu" = { color = "cyan" }

[layout]
style = "restore"

[macros.normal]
";" = ":"
# room navigation (g-prefix)
"gc" = ":chats<Enter>"
"gr" = ":rooms<Enter>"
"gs" = ":spaces<Enter>"
"gu" = ":unreads<Enter>"
"gm" = ":members<Enter>"
"gd" = ":download<Enter>"
# message actions
"r"  = ":reply<Enter>"
"R"  = ":react<Enter>"
"E"  = ":edit<Enter>"
"D"  = ":redact<Enter>"
"me" = ":editor<Enter>"
# window navigation (mirrors nvim <A-hjkl>)
"<A-h>" = "<C-W>h"
"<A-j>" = "<C-W>j"
"<A-k>" = "<C-W>k"
"<A-l>" = "<C-W>l"
